Clara SDK on Ampere GPU (CUDA 10 vs 11)

Hi,

I (soon) have RTX 3090, and I wish to run NVIDIA Clara Train Medical Imaging framework https://docs.nvidia.com/clara/tlt-mi/clara-train-sdk-v3.0/nvmidl/installation.html. The SDK states that the CUDA version should be 10.1 (Ampere only seems to have support in 11.x), and that the driver version should be 418.xx (which, according to https://docs.nvidia.com/deploy/cuda-compatibility/index.html#support-hardware__table-hardware-support - Ampere architecture, is not compatible). Does this mean that the Clara SDK cannot be run on my GPU, or is there something I can do? (Or Clara to be updated to support 11.1)